summary refs log tree commit diff
path: root/run_macos_create_xdg_runtime_dir.sh
diff options
context:
space:
mode:
Diffstat (limited to 'run_macos_create_xdg_runtime_dir.sh')
-rwxr-xr-xrun_macos_create_xdg_runtime_dir.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/run_macos_create_xdg_runtime_dir.sh b/run_macos_create_xdg_runtime_dir.sh
new file mode 100755
index 0000000..bc1a95a
--- /dev/null
+++ b/run_macos_create_xdg_runtime_dir.sh
@@ -0,0 +1,6 @@
+#!/usr/bin/env bash
+
+set -e
+
+umask 0077
+mkdir -p "${HOME}/.cache/xdg-runtime-dir"